#!/bin/bash

file='./Users.csv'

while read ligne
do
    # A chaque itération, stocker le métier dans $metier
    metier=$(echo $ligne | cut -d "," -f5)
    # Vérification de la présence du groupe Accountant -> ajout de la fonction "Accountant" à $groups
    if [[ $(echo $line | grep "Accountant") == "" ]] ; then
        groupadd accountant
    fi

    # Vérification de la présence du groupe Management -> ajout de la fonction "Management" à $groups
    if [[ $(echo $line | grep "Management") == "" ]] ; then
        groupadd management
    fi

    # Vérification de la présence du groupe Production -> ajout de la fonction "Production" à $groups
    if [[ $(echo $line | grep "Production") == "" ]] ; then
        groupadd production
    fi
    echo $metier
done < $file